<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 01/31/2004 *
 * ===============                              Last change: 08/29/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : lib.php                                          *
 * -------------------------------------------------------------------- *
 * Short description : SQL abstraction layer                            *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : SQL-Typ auswaehlen                               *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}

// Select MySQL 3 as default database type
if (_DB_TYPE == "_DB_TYPE") define('_DB_TYPE', "mysql3");

// Create include file name
$INC = sprintf("%sinc/db/lib-%s.php", PATH, _DB_TYPE);

if ((file_exists($INC)) && (is_readable($INC))) {
	// Include abstraction layer
	require_once($INC);
} else {
	// Bye, bye...
	die("Cannot load database abstraction layer! R.I.P.");
}

// Remove this globally used variable
unset($INC);

//
?>
