<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 10/07/2008 *
 * ===============                              Last change: 10/07/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-list_notifications.php                      *
 * -------------------------------------------------------------------- *
 * Short description : See all notification emails (beg/active rallye)  *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Alle Benachrichtigungen sehen (Bettel-/Aktiv-R.) *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!IS_ADMIN())) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}

// Add description as navigation point
ADD_DESCR("admin", __FILE__);

// Init variables
$WHO = _ALL;
$SQL2 = "";

// Set offset an current page to default values
if (empty($_GET['page']))   $_GET['page']   = "1";
if (empty($_GET['offset'])) $_GET['offset'] = getConfig('mails_page');

if ((EXT_IS_ACTIVE("bonus")) && ($WHO == _ALL)) {
	// Bonus mails sent by you
	//               0     1       2        3        4      5       6          7       8      9         10          11        12
	$SQL2 = "SELECT id, subject, text, receivers, points, time, data_type, timestamp, url, cat_id, target_send, mails_sent, clicks
FROM "._MYSQL_PREFIX."_bonus
WHERE is_notify='Y'
ORDER BY timestamp DESC";

	// Check for maximum pages
	$result_max = SQL_QUERY($SQL2, __FILE__, __LINE__);
} else {
	// Bonus extension required!
}

// Create limitation line
$ADD = " LIMIT ".(bigintval($_GET['offset']) * bigintval($_GET['page']) - bigintval($_GET['offset'])).", ".bigintval($_GET['offset']);

// Add limitation
if (!empty($SQL2)) $SQL2 .= $ADD;

if ((EXT_IS_ACTIVE("bonus")) && (SQL_NUMROWS($result_max) > 0) && (!empty($SQL2))) {
	// Run SQL query for notification mails
	$result_bonus = SQL_QUERY($SQL2, __FILE__, __LINE__);

	// Load bonus mails only when extension is active
	if (SQL_NUMROWS($result_bonus) > 0) {
		// Calculate pages
		$PAGES = round(SQL_NUMROWS($result_bonus) / getConfig('mails_page') + 0.5);

		// List emails
		$OUT = ""; $content = array();
		while ($bonus = SQL_FETCHARRAY($result_bonus)) {
			// Calculate unconfirmed emails
			$bonus['unconfirmed'] = $bonus['mails_sent'] - $bonus['clicks'];

			// Add link?
			if ($bonus['unconfirmed'] > 0) {
				// Add link to list_unconfirmed what-file
				$bonus['unconfirmed'] = "<STRONG><A href=\"".URL."/modules.php?module=admin&amp;what=list_unconfirmed&amp;bid=".$bonus['id']."\">".$bonus['unconfirmed']."</A></STRONG>";
			} // END - if

			// Prepare content
			$content = $bonus;
			$content['time']        = CREATE_FANCY_TIME($content['time']);
			$content['category']    = GET_CATEGORY($content['cat_id']);
			$content['receivers']   = str_replace(";", ", ", $content['receivers']);
			$content['type']        = TRANSLATE_POOL_TYPE($content['data_type']);
			$content['frametester'] = FRAMETESTER($content['url']);
			$content['timestamp']   = MAKE_DATETIME($content['timestamp'], "0");

			// Load row template
			$OUT .= LOAD_TEMPLATE("admin_list_notify_emails_row", true, $content);
		}

		// Add navigation (without change box but with colspan=3)
		$content['nav'] = "";
		if ($PAGES > 1) $content['nav'] = ADD_EMAIL_NAV($PAGES, getConfig('mails_page'), false, "3", true);

		// Prepare content
		$content['rows'] = $OUT;

		// Load main template
		LOAD_TEMPLATE("admin_list_notify_emails", false, $content);
	}
}

//
?>
