<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 06/29/2004 *
 * ================                             Last change: 08/22/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-rallyes.php                                 *
 * -------------------------------------------------------------------- *
 * Short description : Ref rallyes                                      *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Ref-Rallyes                                      *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
} elseif ((!EXT_IS_ACTIVE("rallye")) && (!IS_ADMIN())) {
	ADD_FATAL(EXTENSION_PROBLEM_EXT_INACTIVE, "rallye");
	return;
}

// Add description as navigation point
ADD_DESCR("guest", __FILE__);

OUTPUT_HTML("<DIV align=\"center\">");

// Check for possible running rallyes
$ADMIN = " AND d.is_active='Y'";
if (IS_ADMIN()) $ADMIN = "";

$result = SQL_QUERY("SELECT DISTINCT d.id, d.admin_id, a.login, d.title, d.descr, d.template, d.start_time, d.end_time, d.min_users, d.min_prices
FROM "._MYSQL_PREFIX."_rallye_data AS d, "._MYSQL_PREFIX."_admins AS a
WHERE d.admin_id=a.id".$ADMIN." AND d.notified='Y'
ORDER BY d.end_time LIMIT 1", __FILE__, __LINE__);

if (SQL_NUMROWS($result) == 1)
{
	// Found some (normally one...
	list($id, $aid, $login, $title, $descr, $templ, $start, $end, $min_users, $min_prices) = SQL_FETCHROW($result);

	$expired = false;
	if ($end < time())
	{
		// Rallye is expired
		define('__RALLYE_EXTRAS', RALLYE_HAS_EXPIRED);
		$expired = true;
	}
	 elseif (time() >= ($end - getConfig('one_day')))
	{
		// Rallye will expire in less one day!
		define('__RALLYE_EXTRAS', RALLYE_EXPIRE_ONE_DAY);
	}
	 else
	{
		define('__RALLYE_EXTRAS', "<A href=\"".URL."/modules.php?module=index&amp;what=register\">".RALLYE_REGISTER_NOW."</A>");
	}
	// Set admin line (currently set to impressum, later to contact form)
	define('__RALLYE_ADMIN', "<A href=\"".URL."/modules.php?module=index&amp;what=impressum&amp;admin=".$aid."\">".$login."</A>");

	// Set title
	define('__RALLYE_TITLE', COMPILE_CODE($title));

	// Handle description...
	if ((empty($descr)) && (!empty($templ)))
	{
		// Use description from template
		define('__RALLYE_DESCR', LOAD_TEMPLATE("rallye_".$templ, true));
	}
	 else
	{
		// Use description from database
		define('__RALLYE_DESCR', COMPILE_CODE($descr));
	}

	// Set start and end time
	define('__RALLYE_START', MAKE_DATETIME($start, "1"));
	define('__RALLYE_END'  , MAKE_DATETIME($end  , "1"));

	if ($min_users == 0)
	{
		// Rallye ends without user limitation
		define('__RALLYE_MAX_USERS', RALLYE_END_NO_USER_LIMITATION);
	}
	 else
	{
		// Rallye ends when X members are totally in your exchange
		define('__RALLYE_MAX_USERS', RALLYE_END_USERS_1." ".$min_users." ".RALLYE_END_USERS_2);
	}
	if ($min_prices == 0)
	{
		// Rallye ends without user limitation
		define('__RALLYE_MIN_PRICES', RALLYE_END_NO_PRICE_LIMITATION);
	}
	 else
	{
		// Rallye ends when X members are totally in your exchange
		define('__RALLYE_MIN_PRICES', RALLYE_END_PRICES_1." ".$min_prices." ".RALLYE_END_PRICES_2);
	}

	if ($expired)
	{
		define('__RALLYE_PRICES', RALLYE_LIST_WINNERS($id));
		define('__RALLYE_TOP_USERS', "<DIV align=\"center\" class=\"big\">".__RALLYE_EXTRAS."</DIV>");
		define('__RALLYE_CAN_WIN_THIS', RALLYE_OUR_WINNERS_ARE);
	}
	 else
	{
		define('__RALLYE_PRICES', RALLYE_ADD_PRICES($id, "html"));
		define('__RALLYE_TOP_USERS', RALLYE_ADD_TOPUSERS($id, $GLOBALS['userid']));
		define('__RALLYE_CAN_WIN_THIS', RALLYE_YOU_CAN_WIN);
	}

	// And load final template
	LOAD_TEMPLATE("guest_rallye_show");
}
 else
{
	// No rallye found so far
	LOAD_TEMPLATE("guest_no_rallyes");
}
//
OUTPUT_HTML("</DIV>");
//
?>
